/*
 * Turbo Programmer Utilities, turbo-prog-utils, www.bladox.com 
 *
 * Copyright (C) 2004 BLADOX, s.r.o.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef _USBPROG_DFLASH_H
#define _USBPROG_DFLASH_H

#include <stdlib.h>

#define DEV_AT45DB011B	0x0C
#define DEV_AT45DB021B	0x14
#define DEV_AT45DB041B	0x1C
#define DEV_AT45DB081B	0x24
#define DEV_AT45DB161B	0x2C
#define DEV_AT45DB321B	0x34
#define DEV_AT45DB642B	0x3C
#define DEV_UNKNOWN	0xFF

u8 dataFlashInit();
u8 dataFlashStatusRegisterRead();
u8 dataFlashPageErase(u16 pageAddr);
u8 dataFlashBlockErase(u16 blockAddr);
u8 dataFlashBufferRead(u8 bufferNumber, u8 *buffer, u16 addr, u16 size);
u8 dataFlashMemoryToBufferRead(u8 bufferNumber, u16 pageAddr);
//u8 dataFlashAutoPageRewrite(u8 bufferNumber, u16 pageAddr);
u8 dataFlashBufferWrite(u8 bufferNumber, u8 *buffer, u16 addr, u16 size);
u8 dataFlashBufferToMemoryProgramWithErase(u8 bufferNumber, u16 pageAddr);


#endif
